# Subscription Types

Everything about subscription types

 - [GET /contacts/{contact_id}/subscriptions](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/subscription-types/listsubscriptionsforacontact.md): You can fetch a list of subscription types that are attached to a contact. These can be subscriptions that a user has 'opted-in' to or has 'opted-out' from, depending on the subscription type. This wi
 - [POST /contacts/{contact_id}/subscriptions](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/subscription-types/attachsubscriptiontypetocontact.md): You can add a specific subscription to a contact. In Intercom, we have two different subscription types based on user consent - opt-out and opt-in: 1.Attaching a contact to an opt-out subscription
 - [DELETE /contacts/{contact_id}/subscriptions/{id}](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/subscription-types/detachsubscriptiontypetocontact.md): You can remove a specific subscription from a contact. This will return a subscription type model for the subscription type that was removed from the contact.
 - [GET /subscription_types](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/subscription-types/listsubscriptiontypes.md): You can list all subscription types. A list of subscription type objects will be returned.
 - [Subscription Types](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/subscription-types/subscription_type.md): Schema: #/components/schemas/subscription_type
